# isNotSubclassOf

infix fun < T : Any > Class < T >. isNotSubclassOf (superclass: Class <*>): Boolean

Use Class.isAssignableFrom to check if Class is not a subclass of superclass.

#### Receiver

the class to be checked.

#### Return

true if Class is not a subclass of superclass, false otherwise.

#### Parameters

superclass

the superclass to be checked.

#### See also

isSubclassOf

infix fun < T : Any > KClass < T >. isNotSubclassOf (superclass: KClass <*>): Boolean

Use Class.isAssignableFrom to check if KClass.java is not a subclass of superclass (KClass.java).

#### See also

isNotSubclassOf

infix fun < T : Any > KClass < T >. isNotSubclassOf (superclass: Class <*>): Boolean

Use Class.isAssignableFrom to check if KClass.java is not a subclass of superclass.

#### See also

isNotSubclassOf

infix fun < T : Any > Class < T >. isNotSubclassOf (superclass: KClass <*>): Boolean

Use Class.isAssignableFrom to check if Class is not a subclass of superclass (KClass.java).

#### See also

isNotSubclassOf